uniform sampler2D image;
uniform bool texture_enabled;
uniform lowp float saturation;

varying mediump vec4 v_color;
varying highp vec2 v_uv;

void main()
{
    gl_FragColor = v_color;
    if (texture_enabled) {
        gl_FragColor *= texture2D(image, v_uv);
    }
    if (saturation != 1.0) {
        gl_FragColor.rgb = mix(vec3((gl_FragColor.r + gl_FragColor.g + gl_FragColor.b) * 0.333333 * 0.7), gl_FragColor.rgb, saturation);
    }
}
